For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
      • POSTDelete user data
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Account Defender APIDelete User Data

Delete user data

POST
/v1/account_defender/account/delete_user_data
POST
/api/v1/account_defender/account/delete_user_data
$curl -X POST https://console.humansecurity.com/api/v1/account_defender/account/delete_user_data \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "app_id": "PX123",
> "user_ids": [
> "user_id1",
> "user_id2"
> ],
> "inform_users": [
> "admin@company.com",
> "manager@company.com"
> ]
>}'
1{}

Request data deletion for specific users. All of the user’s associated data will be permanently deleted within 30 days of the request.

Was this page helpful?
Previous

Upload feedback

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
app_idstringRequired
user_idslist of stringsRequired
inform_userslist of stringsRequired
An array of email addresses that will be notified after data is deleted.

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error